The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Доступен NumPy 1.16, последний релиз с поддержкой Python 2"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от opennews (ok), 21-Янв-19, 19:43 
Доступен (https://mail.python.org/pipermail/scipy-dev/2019-January/023...) релиз Python-библиотеки для научных вычислений NumPy 1.16 (http://www.numpy.org/), ориентированной на работу с многомерными массивами и матрицами, а также предоставляющей большую коллекцию функций с реализацией различных алгоритмов, связанных с использованием матриц. NumPy является одной из наиболее востребованных библиотек, применяемых для научных  рассчётов. Код проекта написан на языке Python с применением оптимизаций на языке Си и распространяется (https://github.com/numpy/numpy/) под лицензией BSD.

NumPy 1.16 объявлен как последний выпуск, в котором сохраняется поддержки Python 2.7. Новые возможности отныне будут добавляться только в ветку для Python 3, а поддержка Python 2 будут ограничена только исправлением ошибок. Сопровождение ветки 1.16 будет обеспечено до 31 декабря 2019 года, после чего возможность дальнейшей поддержки будет зависеть от активности лиц, заинтересованных в продолжении использования Python 2. Напомним, что поддержка Python 2.7 будет прекращена сообществом разработчиков языка Python в 2020 году.

В новой версии (https://github.com/numpy/numpy/blob/master/doc/release/1.16....) проведён рефакторинг кодовой базы, переработана организация кода и улучшена переносимость между разными платформами. Добавлена экспериментальная поддержка переопределения функций numpy производными проектами. Функция matmul переведена в разряд универсальных (ufunc (https://docs.scipy.org/doc/numpy-1.15.1/reference/ufuncs.html)) и может быть переопределена при помощи выражения "__array_ufunc__". Улучшена поддержка архитектур ARM, POWER и SPARC, а также платформ AIX и PyPy. Улучшена переносимость с ctypes. Расширена поддержка  PEP 3118 (https://www.python.org/dev/peps/pep-3118/) (интерфейс совместного доступа к буферам).


URL: https://mail.python.org/pipermail/scipy-dev/2019-January/023...
Новость: https://www.opennet.ru/opennews/art.shtml?num=50000

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +6 +/
Сообщение от Xasd (ok), 21-Янв-19, 19:43 
юбилейная новость -- и кстати довольно важная!

// P.S.: https://pythonclock.org/

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +1 +/
Сообщение от A.Stahl (ok), 21-Янв-19, 19:51 
Ну ок, Питон2 и так прожил больше, чем предполагалось. Это как 32-битный х86. Нафиг не нужен, но упорно выживает за счёт особо упорных.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +1 +/
Сообщение от Аноним (3), 21-Янв-19, 20:17 
Он выживает за счёт тех, кому важна скорость вычислений и потребление памяти, а не номера версий вычислятора.
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору
Часть нити удалена модератором

6. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (3), 21-Янв-19, 20:50 
Самопочином иди занимайся. У питона 2.7 до сих пор скорость вм выше чем у 3.7. Например, тупой вход-выход в/из функции почти в 3 раза медленнее. Активная работа с байтовыми слайсами раздувает в памяти всю третью ветку. У меня, для примера, есть aws lambda. Написана давно и аккуратно. Обычный дата-саентизм уровня "загрузить десяток мегабайт с s3, покрутить массивы в numpy, посчитать производные данные, применить модельку, записать результаты в dynamo".
Версия на 2.7, кушает ~256MiB, работает в среднем 2 минуты и всегда укладывается в 5 минут. Версия на 3.6, не смотря на все приседания и перепиливания, жрёт , не укладывается в 5 минут и выжирает почти гигабайт.
Ответить | Правка | Наверх | Cообщить модератору

7. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +1 +/
Сообщение от Аноним (7), 21-Янв-19, 21:19 
Для дата-сайнтистов есть Julia. По крайней мере, с коннекторами к источникам данных и скоростью предобработки и вычисления там проблем нет.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

9. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (3), 21-Янв-19, 22:11 
Ещё раз. Решение есть. Работает. Свою часть работы делает хорошо. Переписывание на более новые версии было затеяно после анонса окончания поддержки амазоном.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

12. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +1 +/
Сообщение от Аноним (7), 21-Янв-19, 22:26 
Амазону тоже хочется поиметь в 3 раза больше денег на более медленном, но более современно решении
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

15. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +2 +/
Сообщение от Аноним (15), 22-Янв-19, 00:12 
Интересный, кстати, это вопрос. На сколько можно доверять облачному провайдеру поддержку своей логики, если в любой момент времени они могут изменить версии инструментов и сделать эту логику нерабочей.... В части Амазона, это, скорее, сигнал, чтобы не использовать их.
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

16. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Vkni (ok), 22-Янв-19, 01:11 
В культуре Питонистов есть зуд к изменениям. Поэтому если вы хотите сделать что-то надолго, то брать Питон нежелательно. Не из-за недостатков языка, а потому, что они хотят улучшать и улучшать, очень часто не оглядываясь на обратную совместимость.
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

23. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (23), 22-Янв-19, 05:46 
Уж кто кто а питонисты сделали очень многое, чтобы сгладить переход.
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

47. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Vkni (ok), 22-Янв-19, 17:02 
> Уж кто кто а питонисты сделали очень многое, чтобы сгладить переход.

А у C++ников вообще никакого перехода нет.

Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

62. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от нах (?), 23-Янв-19, 12:20 
здрасьте, как это так нет, когда каждый год новый стандарт?
У c++ников ситуация проще только потому, что никому кроме разработчика и опакечивателя это неинтересно, бинарник не требует (обычно) весь интернет зависимостей и специальную версию рантайма (оставляя за рамками гемор с libstdc++.so.7.6.5.6.7.8.0.1245 непременно линкуемой по этому имени, хотя рядом лежит просто .so ), а компилятор умеет флаги совместимости (хотя это и не всегда помогает, даже если удается угадать, чего ему на самом деле сегодня надо)


P.S. желающие могут смеху ради попытаться собрать apache 1.3.какойтамбыл - и удивиться. Да, это plain c.

Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

65. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от й (?), 23-Янв-19, 19:57 
ага, то-то примеры из книжки страуструпа ты современным компилятором не скомпилируешь.
Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

32. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от PnDx (ok), 22-Янв-19, 11:48 
Чтобы сделать надолго, не надо прицеплять внешний рантайм. Внезапно, даже в glibc умудрились устроить революцию, в прошлом году превратив функцию чтения каталогов в не реентерабельную (как это по-русски "thread-safe"?).

* Контр-аргументом можно ткнуть в перл. Но:
С перлом скорее "повезло" (язык практически остановился в развитии и код из 90-х всё ещё может быть выполнен современным рантаймом). Увы, молодое поколение перл похерит. Из более-менее стабильного внешнего рантайма т.о. остаётся shell+awk. Где-то этого хватит. А где нет? Или подстраиваем свою конституцию под прокрустово ложе golang. /Гугл первым (после borland) догнал назначение статической сборки./ Или учимся собирать статикой что-угодно-ещё.

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

36. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от нах (?), 22-Янв-19, 13:02 
погоди, у нас же уже есть прекрасный perl6 ?!
Он, правда, в сферическом вакууме есть, но я в них верю, они смогут произвести такую революцию, что камня на камне не оставят.

> Или учимся собирать статикой что-угодно-ещё.

начни с glibc - и удивись результату.
У golang есть то преимущество, что ни от чего кроме загрузчика они не зависят, весь мир с нуля.

  

Ответить | Правка | ^ к родителю #32 | Наверх | Cообщить модератору

40. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +1 +/
Сообщение от PnDx (ok), 22-Янв-19, 13:33 
> погоди, у нас же уже есть прекрасный perl6 ?!

  Эти  старпёры не догадались объявить perl6 заменой perl5. А может, заложенные в модель требования к рантайму помешали.

> начни с glibc - и удивись результату.

  Да. Но после разгрома LSB (пока) осталась опция "тащи свой glibc etc. рядом с софтиной". Про это всякие flatpack'и.

> У golang есть то преимущество, что ни от чего кроме загрузчика они
> не зависят, весь мир с нуля.

  А так же, из "одноразового" кода (что-то сделал и помер) можно выкидывать GC. Работает вполне шустро: в моём последнем кейсе "прогуляться в ldap с несколькими вопросами и причесать результат" съело порядка 5мс user+sys при 9МБ RSS (сравнимо с питоном и вдвое легче перла, но минимум на порядок жирнее того что можно собрать на сях).
  Но: golang "в нагрузку" жёстко опускает "потолок" допустимого в коде. Ладно, я не программист — переживу. Но профессионалы от этого будут бегать 100%.

Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

60. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от myhand (ok), 22-Янв-19, 21:53 
> смогут произвести такую революцию, что камня на камне не оставят.

Конкурент брайнфаку таки растет?


Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

17. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  –2 +/
Сообщение от Vkni (ok), 22-Янв-19, 01:11 
R и data.table - засасывает гигабайнтный csv за десятки секунд.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

27. "А отладчик для Джулии то-же уже есть?"  +/
Сообщение от klonov (?), 22-Янв-19, 09:03 
Или все еще в уме надо отлаживать?
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

13. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +1 +/
Сообщение от Аноним (13), 21-Янв-19, 23:01 
давай прувы, трепло, конкретный код давай, показывай, что, где и с какой скоростью работает
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

51. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от myhand (ok), 22-Янв-19, 17:44 
Он выживает за счет "коммерческого" говнокода, на сопровождение которого забили.
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

18. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Vkni (ok), 22-Янв-19, 01:17 
Я могу объяснить, как это так получается. В культуре Питонистов есть страсть к изменениям, это лагерь фактически противоположный C++ному. Эта страсть к изменениям в сочетании с традиционной для кровавого энтерпрайза тяги к развесистым программам и с динамической типизацией языка Питон приводят к тому, что приходится жёстко фиксировать версию интерпретатора и библиотек.

Но тут на помощь приходит python 2.x - эта ветка считается мёртвой, поэтому библиотеки под неё питонисты модифицируют не так интенсивно. Поэтому типичный "кроваво-энтерпрайзный софт" более-менее живёт годами, иногда выживая даже при смене младших версий интерпретатора (2.6 -> 2.7).

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

48. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Анонимчжан (?), 22-Янв-19, 17:06 
интересно а сколько стандартов С++ поменялось за последнее время? последний стандарт так и вообще создатель ++-в сказал считать новым языком фактически))  точно бредит.
я например и с++ и питон использую. и не вижу ничего плохого. для каждой задачи свой инструмент.
Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

8. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от noize (ok), 21-Янв-19, 21:52 
в новости забыли указать, что также выброшена поддержка python ниже 3.5, т.е. те, кто на debian jessie идут лесом)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

11. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (11), 21-Янв-19, 22:24 
И кто на XPюше - тоже.
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

31. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от HatedLLVM (?), 22-Янв-19, 11:17 
Те, кто на XPюше, они без браузеров даже, не говоря уж об остальном.
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

61. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (11), 22-Янв-19, 22:40 
Да хрен с ним с браузером. Рулить древней аппаратурой с древними дровами как?
Ответить | Правка | ^ к родителю #31 | Наверх | Cообщить модератору

37. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от нах (?), 22-Янв-19, 13:04 
а у вас там что - 2.7 уже выпилен?

ну, значит, страдальцам у которых немое кино уже кончилось, а звуковое не настало, придется страдать. Страдание очищает.

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

43. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от iPony (?), 22-Янв-19, 14:50 
ну так они и так лесом давно пошли в общем-то
https://news.softpedia.com/news/debian-gnu-linux-8-jessie-wi...
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

10. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (11), 21-Янв-19, 22:23 
>Проблема связана с небезопасным использованием модуля "pickle".

Безопасное использование модуля pickle почти бесполезно.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

14. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Hellraiseremail (??), 21-Янв-19, 23:32 
> те, кто на debian jessie

покажите мне этих героев

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

30. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (30), 22-Янв-19, 11:07 
Хороший мудератор: вот в этом вся суть рашен опенсурс - ответа хрен, лучше удалить вопрос.

Как это собирать? На стадии configure пишет, что не может создать исполняемый файл. По интернетам масса таких вопросов, все без ответа.

С компилятором/binutils всё норм - сотни пакетов собираются нормально.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

42. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Андрей (??), 22-Янв-19, 14:18 
> На стадии configure пишет, что не может создать исполняемый файл.

Если исключить тривиальную ошибку, это чаще всего означает, что компилятору скормили флаг, который он не знает. А это чаще всего бывает тогда, когда компилятор слишком старый.

Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

44. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  –1 +/
Сообщение от нах (?), 22-Янв-19, 14:53 
это чаще всего означает, что компилятора нет вообще. Поскольку альтернативно-одаренный вряд ли догадался что ему нужен gfortran.

но в любом случае ответ на этот вопрос лежит в логе конфигурялки, в который альтернативно-одаренный питонист не умеет посмотреть.

Ответить | Правка | ^ к родителю #42 | Наверх | Cообщить модератору

45. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  –1 +/
Сообщение от нах (?), 22-Янв-19, 14:57 
кстати, зачем альтернативно-одаренные его пересобирают, когда на сайте лежат новые вилы под все возможные и некоторые  невозможные платформы, тоже загадка

Ответить | Правка | ^ к родителю #44 | Наверх | Cообщить модератору

59. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от myhand (ok), 22-Янв-19, 21:50 
Ну как зачем, разве разработчики библиотеки могут собрать бинарники лучше, чем Вася Пупкин с опеннету?  Удивляюсь я.
Ответить | Правка | ^ к родителю #45 | Наверх | Cообщить модератору

46. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (30), 22-Янв-19, 15:26 
Какой ты вумный...

gcc --version
gcc 7.3.0

В той же системе numpy-1.10.4 собрался успешно.

Если что, fortran - опция.

Ответить | Правка | ^ к родителю #44 | Наверх | Cообщить модератору

50. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Андрей (??), 22-Янв-19, 17:15 
> gcc --version

А что говорит gfortran --version ? В зависимостях соответствующего Debian-пакета gcc не значится, только gfortran. И так уже давно.

Ответить | Правка | ^ к родителю #46 | Наверх | Cообщить модератору

52. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (30), 22-Янв-19, 17:54 
gfortran --version
GNU Fortran 7.3.0
Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

53. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от нах (?), 22-Янв-19, 17:57 
>> gcc --version
> А что говорит gfortran --version ? В зависимостях соответствующего Debian-пакета gcc не
> значится, только gfortran. И так уже давно.

ну так может (коли ты юзер дебиана) пойдешь дашь п-ы пионерам? (в смысле - хоть тикетца им заведи?)

Потому что по факту - хрен ты его соберешь без gcc. И без g++,кстати, тоже - причем сборочница этого, к моему смеху, не проверила - просто навернулась по дороге.

под волшебной бубунточкой, если что, собрался.

Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

55. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Андрей (??), 22-Янв-19, 18:02 
> ну так может (коли ты юзер дебиана) пойдешь дашь п-ы пионерам? (в смысле - хоть тикетца им заведи?)

Не надо: gfortran зависит от gcc.

Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

57. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (30), 22-Янв-19, 18:04 
Если что, только что пересобрал на этой машине numpy-1.10.4 - успешно.
Ответить | Правка | ^ к родителю #46 | Наверх | Cообщить модератору

58. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от нах (?), 22-Янв-19, 18:05 
> Какой ты вумный...

да блин, нафиг мне твоя версия - в лог посмотри, он им гадит прямо туда где собирается.
Прямо в последних строчках и будет причина.

Ответить | Правка | ^ к родителю #46 | Наверх | Cообщить модератору

49. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Андрей (??), 22-Янв-19, 17:12 
> это чаще всего означает, что компилятора нет вообще.

Этот вариант я отнёс к:
> > Если исключить тривиальную ошибку

Ответить | Правка | ^ к родителю #44 | Наверх | Cообщить модератору

54. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от нах (?), 22-Янв-19, 17:58 
>> это чаще всего означает, что компилятора нет вообще.
> Этот вариант я отнёс к:
>> > Если исключить тривиальную ошибку

какая ж она тривиальная, если вон, дебианы взяли и забыли зависимость включить, как нам сообщают с полей? ;-)

Ответить | Правка | ^ к родителю #49 | Наверх | Cообщить модератору

56. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Андрей (??), 22-Янв-19, 18:02 
Она была бы лишней (см. выше).
Ответить | Правка | ^ к родителю #54 | Наверх | Cообщить модератору

67. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (30), 31-Янв-19, 17:21 
Для истории: сборка проходит успешно, если явно выставить переменную окружения
SHELL=/bin/bash
Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

68. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от пох (?), 06-Фев-19, 07:01 
читайте логи конфигуры, истино вам говорю - они рулез.

у меня SHELL вот ни разу не bash, и /bin/sh тоже не баш. Собирается.

Ответить | Правка | ^ к родителю #67 | Наверх | Cообщить модератору

63. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (63), 23-Янв-19, 14:19 
Во непруха, это че теперь все скрипты переписывать на python 3 до 2020г.?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

64. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Аноним (64), 23-Янв-19, 15:11 
С питона вообще давно пора слезать. Зачем что-то на него переписывать?
Ответить | Правка | ^ к родителю #63 | Наверх | Cообщить модератору

66. "Доступен NumPy 1.16, последний релиз с поддержкой Python 2"  +/
Сообщение от Георгий (??), 24-Янв-19, 17:02 
Давно пора.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема


  Закладки на сайте
  Проследить за страницей
Created 1996-2019 by Maxim Chirkov  
ДобавитьПоддержатьВебмастеруГИД  
Hosting by Ihor